;+
; NAME:
;       TRACE_LIST_INDEX
; PURPOSE:
;       produces listing of TRACE index structure
; CATEGORY:
; CALLING SEQUENCE:
;       more, trace_list_index(index)
;
;	Note: called from TRACE_SSWHERE and TRACE_SSWHERE_EVENT
; INPUTS:
;	index	TRACE index, or catalog structure
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
; OPTIONAL OUTPUT PARAMETERS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;          Sep-98  RDB	Written
;	30-Sep-98  RDB	Changed gt of /cdelt2 - no longer in catalog
;-

function	trace_list_index,cat,nobanner=nobanner,ss=ss
 
time       = fmt_tim(cat)
duration   = gt_tagval(cat,/sht_mdur,found=found)
wavelength = gt_tagval(cat,/wave_len,found=found)
xcen       = gt_tagval(cat,/xcen,found=found)
ycen       = gt_tagval(cat,/ycen,found=found)
nx         = gt_tagval(cat,/naxis1,found=found)
ny         = gt_tagval(cat,/naxis2,found=found)
dx         = gt_tagval(cat,/cdelt1,found=found)
dy         = gt_tagval(cat,/cdelt2,found=found)
;;dy         = gt_tagval(cat,/cdelt2,missing=gt_tagval(cat,/cdelt1))
if dy(0) eq -1 then dy = gt_tagval(cat,/cdelt1,found=found)
fovx       = nx*dx
fovy       = ny*dy

;help,time,duration,wavelength,xcen,ycen,nx,ny,dx

nrec = n_elements(time)
out = strarr(nrec)

fmt = '(a,f9.3,3x,a,t36,2f8.1,2i7,f6.1,2f8.1)'
for j=0,nrec-1 do $
   out(j) = string(time(j),duration(j),wavelength(j), $
      xcen(j),ycen(j),nx(j),ny(j),dx(j),fovx(j),fovy(j),format=fmt)

title = '  Date       Time      Exp.    Wave    xcen    ycen     nx     ny    dx    fovx    fovy'
if not keyword_set(nobanner) then out = [title,out]

return,out
end
